Crypto++ 8.4 Free C++ class library of cryptographic schemes

Static Public Member Functions | List of all members
SIMECK64_Info Struct Reference

SIMECK block cipher information. More...

Inheritance diagram for SIMECK64_Info:

## Static Public Member Functions
static const std::string | StaticAlgorithmName ()
| The algorithm name. More...
Static Public Member Functions inherited from FixedKeyLength< 16 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...

## Additional Inherited Members
Static Public Attributes inherited from FixedBlockSize< 8 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< 16 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...
Static Public Attributes inherited from FixedRounds< 44 >
static const int | ROUNDS
| The number of rounds for the algorithm provided as a constant.

## Detailed Description

SIMECK block cipher information.

Since
  Crypto++ 8.0

Definition at line 39 of file simeck.h.

## Member Function Documentation

## ◆ StaticAlgorithmName()

static const std::string SIMECK64_Info::StaticAlgorithmName | ( |  | ) |
| inline static

The algorithm name.

Returns
  the algorithm name

StaticAlgorithmName returns the algorithm's name as a static member function.

Definition at line 45 of file simeck.h.

The documentation for this struct was generated from the following file:

- simeck.h